// Override original mixin
@mixin fa-icon($fa-icon, $fa-icon-size: inherit) {
  display: inline-block;
  font: normal normal normal #{$fa-font-size-base}/#{$fa-line-height-base} FontAwesome; // shortening font declaration
  font-size: $fa-icon-size; // can't have font-size inherit on line above, so need to override
  text-rendering: auto; // optimizelegibility throws things off #1094
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  @if $fa-icon != '' {
    content: $fa-icon;
  }
}
